header {
    
    display: flex;
    justify-content: space-between;

    background: linear-gradient(to right, hsl(180,75%,50%), hsl(180,75%,40%));

}

.navbar {

    padding: 0px 0px 0px 0px;

    font-size: 32px;

    display: flex;
    list-style: none;
    gap: 0px;
    margin: 0;
    height: 100%;

}

.navbar li {

    font-size: clamp(10px, 2vw + 8px,45px);
    font-weight: bold;

    display: flex;
    text-align: center;

    padding: 0px 0px 0px 0px;

    margin: 0px 0px 0px 0px;


}

.navbar li a {

    display: flex;
    align-items: center;
    justify-content: center;

    padding: 0px clamp(10px , 3vw + 5px, 80px) 0px clamp(10px , 3vw + 5px, 80px);
    
    width: 100%;
    height: 100%;

    transition: background-color 0.2s ease, transform 0.1s ease;

}

.navbar li:hover {

    background-color: #15a7a5;

}

.logoandheadertitle {

    display: flex;
}

.headerimage {


    padding-top: 0px;
    padding-bottom: 0px;
    padding-left: clamp(5px, 1vw, 20px);
    padding-right: clamp(5px, 1vw, 20px);

    display: flex;

}

.headerimage a img {

    max-width: clamp(30px , 7vw + 20px, 150px);
    height: auto;

}

.headertitle {
    
    padding: 0px 0px 0px 0px;

    justify-content: center;
    align-items: center;

    white-space: nowrap;
    display: flex;

    font-size: 60px;

}

.headertitle a {

    width: 100%;
    height: 100%;
    align-content: center;
    padding: 0px 20px 0px 20px;

    font-size: clamp(32px, 3vw + 24px, 85px);

}

.navbar li a:hover {

    transform: translateY(-4px);

}



.nav-icon {

    width: clamp(24px, 3vw + 20px, 76px);
    height: auto;

}















/* Create Widths to hide Navbar at */

@media (min-width: 1816px) {

    .navbar li.mobile-hide-nav-list {

        display: none;

    }
    
}

@media (max-width: 1815px) {

    .navbar li.mobile-hide-contact {

        display: none;

    }

}

@media (max-width: 1725px) {

    .navbar li.mobile-hide-gallery {

        display: none;

    }

}

@media (max-width: 1415px) {

    .navbar li.mobile-hide-downloads {

        display: none;

    }

}

@media (max-width: 1035px) {

    .navbar li.mobile-hide-about {

        display: none;

    }

}

@media (max-width: 1000px) {

    .navbar li.mobile-hide-learn {

        display: none;

    }


}



@media (max-width: 745px) {

    .headertitle {

        display: none;

    }

}

.mobile-hide-learn {

    position: relative;

}

.learn-dropdown {

    display: none;
    position: absolute;
    top: 100%;
    width: 100%;

    padding: 0px 0px 0px 0px;
    margin: 0px 0px 0px 0px;

}

.learn-dropdown li {

    background-color: #15a7a5;
    padding: 0px 0px 0px 0px;

}


.learn-dropdown li a {

    padding: 10px 0px 10px 0px;
    display: block;
    color: whitesmoke;
    background-color: #15a7a5;


}


.learn-dropdown li a:hover {

    background-color: #0f7775;
    transform: translateY(0px);

}




.learn-dropdown.show {

display: block;

}


.mobile-hide-nav-list {

    position: relative;

}

.nav-list-dropdown {

    display: none;
    position: absolute;
    top: 100%;
    width: 100%;
    right: 0;
    left: 0;
    background: linear-gradient(to right, hsl(180,75%,45%), hsl(180,75%,35%));
    box-sizing: border-box;
    z-index: 1000;
    padding: 0;

}

.nav-list-dropdown.show {

    display: block;

}


#header-holder, header {
  position: relative; 
}

nav, 
.navbar, 
.mobile-hide-nav-list {
  position: static;
}


.nav-list-dropdown li a {

    padding: 10px 0px 10px 0px;

    font-size: clamp(10px, 2vw + 8px,45px);

}

.nav-list-dropdown-even {

    background: linear-gradient(to right, hsl(180,60%,50%), hsl(180,60%,40%));

}


